# Patch listing properties (deprecated) Endpoint: PATCH /p2p/single_use_listings/{listingId} Version: 0.1.0 Security: OAuth2 ## Path parameters: - `listingId` (integer, required) ## Request fields (application/json): - `charge_calculator_version` (integer) The charge_calculator_version value returned from a request to /p2p/charge. Example: 5 - `currency` (string) Enum: "aud", "eur", "gbp", "myr", "pln", "sek", "usd", "huf" - `deposit_charge` (integer) The charge value returned from a request to /p2p/charge. Example: 78 - `deposit_price` (integer) The deposit price of the goods being sold, in the currency's smallest unit. The charge value should correspond to the Trustap charge created with this price, otherwise this request will fail with a 400 error. Example: 1234 - `description` (string) Example: "Soccer ticket" - `skip_remainder` (boolean) ## Response 200 fields (application/json): - `allows_multi_use` (boolean) - `created` (string) Example: "2019-12-25T09:00:00Z" - `creator_id` (string) Example: "ad5bb99f-85bf-47e1-be0d-15e7541c6ad7" - `creator_role` (string) - `currency` (string) - `deposit_pricing` (object) Example: {"charge":78,"price":1234} - `deposit_pricing.charge` (integer, required) Example: 78 - `deposit_pricing.charge_international_payment` (integer) - `deposit_pricing.charge_seller` (integer, required) - `deposit_pricing.price` (integer, required) Example: 1234 - `description` (string) - `disabled` (string) - `id` (integer, required) Example: "77f36253-7a43-4d47-897d-f73dd208e17a" - `skip_remainder` (boolean) ## Response 400 fields ## Response 404 fields